# Getting Started (請依據App的內容填寫此說明手冊)

## Environment Setup 

## (可直接複製此區，若App內需要額外的環境安裝事項，也請在此區補充說明)

### General

* Python 3.8
* opencv-python (Install using `pip install opencv-python`)

### Linux

* libusb (Ubuntu install using `apt install libusb-1.0-0-dev`)
* `pip install packages/kdp_host_api-1.0.0_linux_-py3-none-any.whl`
* USB Device Permissions
  1. Create file in "/etc/udev/rules.d/10-local.rules".
  2. Open 10-local.rules in editor and write following lines down.

```
    KERNEL=="ttyUSB*",ATTRS{idVendor}=="067b",ATTRS{idProduct}=="2303",MODE="0777",SYMLINK+="kneron_uart"
    KERNEL=="ttyUSB*",ATTRS{idVendor}=="1a86",ATTRS{idProduct}=="7523",MODE="0777",SYMLINK+="kneron_pwr"
    SUBSYSTEM=="usb",ATTRS{idVendor}=="3231",ATTRS{idProduct}=="0200",MODE="0666"
```

### Windows

* `pip install packages\kdp_host_api-1.0.0_win_-py3-none-any.whl`




## Quick Start  (執行指令)
* DME mode  `python main.py`



## Usage (詳細指令說明，有額外功能者也請在此處詳述)

`python main.py -h`

* Show all tasks of application 

`python main.py -t update_both_fw`

* Update firmware for scpu and ncpu
